Web Server HTTP GET Request Version Number Handling Remote Overflow

This script is Copyright (C) 2002-2014 Tenable Network Security, Inc.


Synopsis :

The remote host is running a web server with a remote buffer overflow
vulnerability.

Description :

It was possible to kill the web server by sending an HTTP GET request
with a long major version number.

An attacker may exploit this vulnerability to make your web server
crash continually or even execute arbitrary code on your system.

See also :

http://archives.neohapsis.com/archives/bugtraq/2002-07/0329.html

Solution :

Upgrade your software or protect it with a filtering reverse proxy.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.1
(CVSS2#E:U/RL:W/RC:ND)
Public Exploit Available : false

Family: Web Servers

Nessus Plugin ID: 11061 ()

Bugtraq ID: 5319
5320
5322
5324

CVE ID: CVE-2002-1061